LineDocTextAndOp (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.index.example
Class LineDocTextAndOp

    java.lang.Object
      org.apache.hadoop.contrib.index.example.LineDocTextAndOp

All Implemented Interfaces:
  Writable

    public class LineDocTextAndOp

extends Object
implements Writable

This class represents an operation. The operation can be an insert, a delete or an update. If the operation is an insert or an update, a (new) document, which is in the form of text, is specified.

Constructor Summary
`LineDocTextAndOp()` Constructor

Method Summary
`DocumentAndOp.Op` | `getOp()` Get the type of the operation.
`Text` | `getText()` Get the text that represents a document.
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `setOp(DocumentAndOp.Op op)` Set the type of the operation.
`String` | `toString()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LineDocTextAndOp

    public LineDocTextAndOp()

  Constructor

Method Detail

### setOp

    public void setOp(DocumentAndOp.Op op)

  Set the type of the operation.

  Parameters:
    `op` - the type of the operation

### getOp

    public DocumentAndOp.Op getOp()

  Get the type of the operation.

  Returns:
    the type of the operation

### getText

    public Text getText()

  Get the text that represents a document.

  Returns:
    the text that represents a document

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation